Package: groovy.inspect.swingui

## [Groovy] Class ButtonOrDefaultRenderer

- groovy.inspect.swingui.ButtonOrDefaultRenderer

- A table cell renderer that will return a component instead of drawing it, or call the default in the case of a non component object. This hack allows to render a button shape in a table cell.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultTableCellRenderer` | `CENTER, TOP, LEFT, BOTTOM, RIGHT, NORTH, NORTH_EAST, EAST, SOUTH_EAST, SOUTH, SOUTH_WEST, WEST, NORTH_WEST, HORIZONTAL, VERTICAL, LEADING, TRAILING, NEXT, PREVIOUS, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Component` | `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultTableCellRenderer` | `validate, isOpaque, invalidate, getTableCellRendererComponent, revalidate, updateUI, firePropertyChange, setForeground, setBackground, repaint, repaint, repaint, setText, getText, setUI, getUIClassID, getUI, getUI, getAccessibleContext, getDisabledIcon, getDisplayedMnemonicIndex, setDisplayedMnemonicIndex, setHorizontalTextPosition, setVerticalTextPosition, setIcon, setHorizontalAlignment, getIcon, setDisabledIcon, getVerticalAlignment, setVerticalAlignment, getHorizontalAlignment, getVerticalTextPosition, getHorizontalTextPosition, getIconTextGap, setIconTextGap, imageUpdate, setDisplayedMnemonic, setDisplayedMnemonic, getDisplayedMnemonic, getLabelFor, setLabelFor, update, contains, getLocation, print, getSize, setOpaque, enable, getBounds, setEnabled, disable, addAncestorListener, firePropertyChange, firePropertyChange, getListeners, getClientProperty, setInheritsPopupMenu, getInheritsPopupMenu, setComponentPopupMenu, getComponentPopupMenu, paint, printAll, isPaintingTile, isPaintingForPrint, isManagingFocus, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, requestFocus, requestFocusInWindow, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, getFontMetrics, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, getBaseline, getBaselineResizeBehavior, requestDefaultFocus, setVisible, setFont, getDefaultLocale, setDefaultLocale, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, getPopupLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, setTransferHandler, getTransferHandler, putClientProperty, setFocusTraversalKeys, isLightweightComponent, reshape, getX, getY, getWidth, getHeight, computeVisibleRect, getVisibleRect, addVetoableChangeListener, removeVetoableChangeListener, getVetoableChangeListeners, getTopLevelAncestor, removeAncestorListener, getAncestorListeners, addNotify, removeNotify, isValidateRoot, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane, hide, add, add, add, add, add, remove, remove, list, list, removeAll, locate, addPropertyChangeListener, addPropertyChangeListener, layout, getComponent, getLayout, getComponents, getComponentAt, getComponentAt, getComponentCount, preferredSize, minimumSize, insets, isFocusCycleRoot, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, countComponents, setComponentZOrder, getComponentZOrder, setLayout, doLayout, paintComponents, printComponents, addContainerListener, removeContainerListener, getContainerListeners, deliverEvent, getMousePosition, findComponentAt, findComponentAt, isAncestorOf, getFocusTraversalKeys, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusCycleRoot, setFocusTraversalPolicyProvider, isFocusTraversalPolicyProvider, transferFocusDownCycle, applyComponentOrientation, add, remove, toString, getName, contains, list, list, list, size, getParent, getLocation, setName, action, location, getSize, resize, resize, setSize, setSize, setLocale, move, getLocale, isValid, enable, bounds, isEnabled, getBounds, setLocation, setLocation, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, requestFocus, requestFocusInWindow, repaint, repaint, nextFocus, getForeground, getFont, getTreeLock, isVisible, getFocusCycleRootAncestor, isDisplayable, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, getBackground, isLightweight, setBounds, setBounds, getPropertyChangeListeners, getPropertyChangeListeners, isShowing, getMousePosition, getGraphicsConfiguration, dispatchEvent, isFocusable, isFocusOwner, transferFocus, handleEvent, postEvent, transferFocusBackward, setDropTarget, getDropTarget, getToolkit, enableInputMethods, show, show, isForegroundSet, isBackgroundSet, isFontSet, getColorModel, getLocationOnScreen, setCursor, getCursor, isCursorSet, paintAll, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, setIgnoreRepaint, getIgnoreRepaint, inside, addComponentListener, removeComponentListener, getComponentListeners, addFocusListener, removeFocusListener, getFocusListeners, addHierarchyListener, removeHierarchyListener, getHierarchyListeners, addHierarchyBoundsListener, removeHierarchyBoundsListener, getHierarchyBoundsListeners, addKeyListener, removeKeyListener, getKeyListeners, addMouseListener, removeMouseListener, getMouseListeners, addMouseMotionListener, removeMouseMotionListener, getMouseMotionListeners, addMouseWheelListener, removeMouseWheelListener, getMouseWheelListeners, addInputMethodListener, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, getInputContext, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, hasFocus, setComponentOrientation, getComponentOrientation, setMixingCutoutShape, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)